org.apache.el

## Class MethodExpressionLiteral

- java.lang.Object
- - javax.el.Expression
  - - javax.el.MethodExpression
    - - org.apache.el.MethodExpressionLiteral

- All Implemented Interfaces:
    Externalizable, Serializable

      public class MethodExpressionLiteral
      extends MethodExpression
      implements Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodExpressionLiteral()`
    `MethodExpressionLiteral(String expr, Class<?> expectedType, Class<?>[] paramTypes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getExpressionString()`
    `MethodInfo` | `getMethodInfo(ELContext context)`
    `int` | `hashCode()`
    `Object` | `invoke(ELContext context, Object[] params)`
    `boolean` | `isLiteralText()`
    `void` | `readExternal(ObjectInput in)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class javax.el.MethodExpression

      `isParametersProvided, isParmetersProvided`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodExpressionLiteral

          public MethodExpressionLiteral()

    - #### MethodExpressionLiteral

          public MethodExpressionLiteral(String expr,
                                 Class<?> expectedType,
                                 Class<?>[] paramTypes)

  - ### Method Detail

    - #### getMethodInfo

          public MethodInfo getMethodInfo(ELContext context)
                                   throws ELException

      Specified by:
        `getMethodInfo` in class `MethodExpression`
      Parameters:
        `context` - The EL context for this evaluation
      Returns:
        Information about the method that this expression resolves to
      Throws:
        `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
        `MethodNotFoundException` - If no matching method can be found
        `ELException` - Wraps any exception throw whilst resolving the property

    - #### invoke

          public Object invoke(ELContext context,
                      Object[] params)
                        throws ELException

      Specified by:
        `invoke` in class `MethodExpression`
      Parameters:
        `context` - The EL context for this evaluation
        `params` - The parameters with which to invoke this method expression
      Returns:
        The result of invoking this method expression
      Throws:
        `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
        `MethodNotFoundException` - If no matching method can be found
        `ELException` - Wraps any exception throw whilst resolving the property or coercion of the result to the expected return type fails

    - #### getExpressionString

          public String getExpressionString()

      Specified by:
        `getExpressionString` in class `Expression`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in class `Expression`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Expression`

    - #### isLiteralText

          public boolean isLiteralText()

      Specified by:
        `isLiteralText` in class `Expression`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.